package com.ms.dal.mapper;

import com.ms.dal.entity.PlatformPurchaseOrderSku;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.ms.dal.PlatformPurchaseOrderSku
 */
@Mapper
public interface PlatformPurchaseOrderSkuMapper {

    int deleteByPrimaryKey(String id);

    int insert(PlatformPurchaseOrderSku record);

    int insertOrUpdate(PlatformPurchaseOrderSku  record);

    int insertSelective(PlatformPurchaseOrderSku record);

    PlatformPurchaseOrderSku selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(PlatformPurchaseOrderSku record);

    int updateByPrimaryKey(PlatformPurchaseOrderSku record);

    List<PlatformPurchaseOrderSku> getListByPurOrderIds(@Param("purOrderIds") List<String> purOrderIds);


    int insertBatch(List<PlatformPurchaseOrderSku> list);
}
